| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::detail::when_any::arg_helper_s< dpp::event_router_t< T > > Struct Template Reference

`#include <when_any.h>`

Inheritance diagram for dpp::detail::when_any::arg_helper_s< dpp::event_router_t< T > >:
[legend]
Collaboration diagram for dpp::detail::when_any::arg_helper_s< dpp::event_router_t< T > >:
[legend]

## Public Types

using | type = event_router::awaitable<T>

## Static Public Member Functions

template<typename U> requires (std::same_as<std::remove_cvref_t<U>, dpp::event_router_t<T>>)
static event_router::awaitable< T > | get (U &&v)

## Member Typedef Documentation

## ◆ type

template<typename T>

using dpp::detail::when_any::arg_helper_s< dpp::event_router_t< T > >::type = event_router::awaitable<T>

## Member Function Documentation

## ◆ get()

template<typename T>
template<typename U>
requires (std::same_as<std::remove_cvref_t<U>, dpp::event_router_t<T>>)

event_router::awaitable< T > dpp::detail::when_any::arg_helper_s< dpp::event_router_t< T > >::get | ( | U && | v | ) |

inline static

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0